% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/trakt.shows.popular.R
\name{trakt.shows.popular}
\alias{trakt.shows.popular}
\title{Get popular shows}
\usage{
trakt.shows.popular(limit = 10)
}
\arguments{
\item{limit}{Number of shows to return. Is coerced to \code{integer} and must be greater than 0.}
}
\value{
A \code{data.frame} containing popular shows with their name and ids
}
\description{
\code{trakt.shows.popular} returns a list of the most popular shows on trakt.tv.
According to the API docs, opularity is calculated based both ratings and number of ratings.
}
\note{
See \href{http://docs.trakt.apiary.io/#reference/shows/get-popular-shows}{the trakt API docs for further info}
}
\examples{
\dontrun{
get_trakt_credentials() # Set required API data/headers
trakt.shows.popular(5)
}
}

